API referenceBidding XBID
POST /api/XBID/GetHistoricalOrders
Returns all XBID orders, optionally limited to one entity, across a UTC contract delivery-start range, including execution and cancellation information.
POST
/api/XBID/GetHistoricalOrderscurl -X POST "/api/XBID/GetHistoricalOrders" \
-H "Authorization: $ATLAS_ETRM_API_DOCUMENTATION_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"data": {
"entityId": 0,
"deliveryDateFrom": "2026-01-15T09:30:00Z",
"deliveryDateTo": "2026-01-15T09:30:00Z"
}
}'Authorization
AuthorizationstringheaderrequiredJWT Authorization header using the Bearer scheme. Enter your token including the 'Bearer ' prefix (e.g. 'Bearer eyJ...').
Body
application/json
dataAtlas.SDK.Bidding.Models.XBID.XBIDHistoricalOrdersQueryDto
Response
application/json
OK
successbooleanrecordCountinteger<int32>dataAtlas.SDK.Bidding.Models.XBID.XBIDOrderDto[] | null
{
"success": true,
"recordCount": 0,
"data": [
{
"id": 0,
"entityId": 0,
"entityCode": "string",
"marketPartyId": 0,
"marketPartyName": "string",
"marketPartyCode": "string",
"contractId": 0,
"orderType": 1,
"orderTypeDescription": "string",
"executionState": 0,
"executionStateDescription": "string",
"execType": 1,
"execTypeDescription": "string",
"validity": 0,
"validityDescription": "string",
"validityDateTime": "2026-01-15T09:30:00Z",
"side": 1,
"sideDescription": "string",
"externalOrderId": "string",
"quantity": 0,
"totalVolume": 0,
"price": 0,
"executedPrice": 0,
"blockTotalContracts": 0,
"icePeakPriceDelta": 0,
"iceVolumeDisplay": 0,
"version": 0,
"orderItemId": 0,
"volumeExecuted": 0,
"volumeCanceled": 0,
"orderItemStatus": 1,
"orderItemStatusDescription": "string",
"contractName": "string",
"deliveryStart": "2026-01-15T09:30:00Z",
"deliveryEnd": "2026-01-15T09:30:00Z",
"log": "string",
"createdAt": "2026-01-15T09:30:00Z",
"updatedAt": "2026-01-15T09:30:00Z"
}
]
}